org.springframework.messaging.handler.annotation.support

## Class AbstractMethodArgumentResolutionException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.springframework.messaging.MessagingException
        - - org.springframework.messaging.handler.annotation.support.AbstractMethodArgumentResolutionException

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    MethodArgumentNotValidException, MethodArgumentTypeMismatchException

      public abstract class AbstractMethodArgumentResolutionException
      extends MessagingException

  Base class for exceptions resulting from the invocation of `HandlerMethodArgumentResolver`.
  Since:
    4.0.3
  Author:
    Rossen Stoyanchev
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `AbstractMethodArgumentResolutionException(Message<?> message, MethodParameter parameter)` Create a new instance providing the invalid `MethodParameter`.
    `protected` | `AbstractMethodArgumentResolutionException(Message<?> message, MethodParameter parameter, String description)` Create a new instance providing the invalid `MethodParameter` and a prepared description.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `MethodParameter` | `getMethodParameter()` Return the MethodParameter that was rejected.
    `protected static String` | `getMethodParamMessage(MethodParameter param)`

    - ### Methods inherited from class org.springframework.messaging.MessagingException

      `getFailedMessage`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractMethodArgumentResolutionException

          protected AbstractMethodArgumentResolutionException(Message<?> message,
                                                              MethodParameter parameter)

      Create a new instance providing the invalid `MethodParameter`.

    - #### AbstractMethodArgumentResolutionException

          protected AbstractMethodArgumentResolutionException(Message<?> message,
                                                              MethodParameter parameter,
                                                              String description)

      Create a new instance providing the invalid `MethodParameter` and a prepared description. Sub-classes should prepend the description with the help of `getMethodParamMessage(org.springframework.core.MethodParameter)`.

  - ### Method Detail

    - #### getMethodParameter

          public MethodParameter getMethodParameter()

      Return the MethodParameter that was rejected.

    - #### getMethodParamMessage

          protected static String getMethodParamMessage(MethodParameter param)